Package org.apache.storm.sql.runtime.calcite

# Class StormDataContext

java.lang.Object
org.apache.storm.sql.runtime.calcite.StormDataContext

All Implemented Interfaces:
  `Serializable`, `org.apache.calcite.DataContext`

public class StormDataContext extends Object implements org.apache.calcite.DataContext, Serializable
This is based on SlimDataContext in Calcite, and borrow some from DataContextImpl in Calcite.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.calcite.DataContext

  `org.apache.calcite.DataContext.Variable`

- ## Field Summary

  ### Fields inherited from interface org.apache.calcite.DataContext

  `ROOT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StormDataContext()`
  StormDataContext Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `get(String name)`
  `org.apache.calcite.linq4j.QueryProvider`
  `getQueryProvider()`
  `org.apache.calcite.schema.SchemaPlus`
  `getRootSchema()`
  `org.apache.calcite.adapter.java.JavaTypeFactory`
  `getTypeFactory()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StormDataContext

    public StormDataContext()
    StormDataContext Constructor.

- ## Method Details

  - ### getRootSchema

    public org.apache.calcite.schema.SchemaPlus getRootSchema()
    Specified by:
      `getRootSchema` in interface `org.apache.calcite.DataContext`

  - ### getTypeFactory

    public org.apache.calcite.adapter.java.JavaTypeFactory getTypeFactory()
    Specified by:
      `getTypeFactory` in interface `org.apache.calcite.DataContext`

  - ### getQueryProvider

    public org.apache.calcite.linq4j.QueryProvider getQueryProvider()
    Specified by:
      `getQueryProvider` in interface `org.apache.calcite.DataContext`

  - ### get

    public Object get(String name)
    Specified by:
      `get` in interface `org.apache.calcite.DataContext`